%global packname  affy
%global bioc      2.4

Name:             R-%{packname}
Version:          1.22.1
Release:          3%{?dist}
Summary:          Methods for Affymetrix Oligonucleotide Arrays

Group:            Applications/Engineering 
License:          LGPLv2+ 
URL:              http://bioconductor.org/packages/%{bioc}/bioc/html/%{packname}.html
Source0:          http://bioconductor.org/packages/%{bioc}/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R >= 2.8.0 R-Biobase R-tkWidgets R-preprocessCore R-affyio
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel tex(latex) R-Biobase R-tkWidgets R-preprocessCore-devel R-affyio

%description
The package contains functions for exploratory oligonucleotide array 
analysis. 

The dependancy to tkWidgets only concerns few convenience 
functions. 'affy' is fully  functional without it.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}


# x86/x86_64 -> Architecture dependent package
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
# Circular dependency with affydata
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
#i386 arch
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/latex
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/CITATION
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/R-ex
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/demo
%{_libdir}/R/library/%{packname}/tests

%changelog
* Sun Aug 31 2009 pingou <pingou@pingoured.fr> 1.22.1-3
- Change BR from tetex-latex to tex(latex) to reflect new guidelines change
- Correct typo in the description

* Wed Aug 19 2009 pingou <pingou@pingoured.fr> 1.22.1-2
- Add R-preprocessCore-devel as BR (oops)

* Wed Aug 19 2009 pingou <pingou@pingoured.fr> 1.22.1-1
- Update to 1.22.1 which correct license issue

* Sat Aug 01 2009 pingou <pingou@pingoured.fr> 1.22.0-1
- initial package for Fedora
